Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface VirtualMachineManagement

All Known Implementing Classes:
  VirtualMachineManagementImpl

      public interface VirtualMachineManagement

VirtualMachineService interface. This interface is to define these functions: pause/unpause/powerOn/powerOff/delete/reboot/suspend/resume/save as template/query Virtual Machine.

Method Summary
`void` | `configureVM(VirtualMachine virtualMachine, VMConfig config)` Deprecated.
`void` | `createPropertiesFileOnVirtualMachine(java.util.Properties props, VirtualMachine vm, java.lang.String propFileName)` Create vm property file for guest configuration
`void` | `deleteVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `deleteVMByVMId(java.lang.Long vmId)` Delete a virtual machine
`java.util.List` | `getAllAlertAssociatedWithImg(VirtualMachine vm)` Query all alerts associated with a vm.
`java.util.List` | `getAllOperatingSystem()` Deprecated.
`OperatingSystem[]` | `getAllOperatingSystemArray()` Query all available Operating System.
`VirtualMachine[]` | `getAllVMs(ServerPool serverPool)` Returns an array of all the virtual machines by the server pool.
`VirtualMachine[]` | `getAllVMs(VirtualServer server)` Returns an array of all the virtual machines by the virtual server.
`ServerPool` | `getAssociatedPool(VirtualMachine virtualMachine)` Returns server pool details, where the virtual machine is physically (and logically) stored.
`VirtualServer` | `getAssociatedServer(VirtualMachine virtualMachine)` Returns virtual server details, currently hosting the virtual machine.
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk)` Query latest alert associated with a disk.
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk, oracle.ovs.biz.log.AlertLevel level)` Query latest alert associated with a disk.
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm)` Query latest alert associated with a vm.
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm, oracle.ovs.biz.log.AlertLevel level)` Query latest alert associated with a vm and alertLevel
`java.lang.String` | `getRealPath(VirtualMachine vm)` Get the absolute path of a virtual machine in the file system.
`VirtualMachine` | `getVM(VirtualMachine virtualMachine)` Returns an instance of the virtual machine details.
`VirtualMachine` | `getVMByName(ServerPool serverPool, java.lang.String name)` Deprecated.
`VirtualMachine` | `getVMByName(java.lang.String serverPoolName, java.lang.String name)` Returns an instance of the virtual machine details, by its name and serverPoolName
`java.lang.String` | `getVncPassword(VirtualMachine vm)` Get vnc password of a virtual machine.
`void` | `pauseVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `pauseVMByVMId(java.lang.Long vmId)` Pause a virtual machine
`void` | `powerOffVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `powerOffVMByVMId(java.lang.Long vmId)` Power off a virtual machine
`void` | `powerOnVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `powerOnVMByVMId(java.lang.Long vmId)` Power on a virtual machine
`java.util.List` | `queryCdrom(VirtualMachine vm)` Deprecated.
`CdConfig[]` | `queryCdromArray(VirtualMachine vm)` Query CDROM of a virutal machine
`VirtualDisk` | `queryLocalDiskInfo(VirtualDisk disk)` Query virtual disk status
`java.util.List` | `queryLocalDisks(VirtualMachine vm)` Query local disks of a virtual machine.
`VirtualNetworkCard[]` | `queryNetworkInterfaceCardArray(VirtualMachine vm)` Query network interface cards of a vm
`java.util.List` | `queryNetworkInterfaceCards(VirtualMachine vm)` Deprecated.
`java.util.List` | `queryPreferredServer(VirtualMachine vm)` Query preferred servers of a vm
`VirtualServer[]` | `queryPreferredServerArray(java.lang.Long vmId)` Query preferred servers of a vm by vmId
`java.util.List` | `querySharedDisks(VirtualMachine vm)` Deprecated.
`SharedVirtualDisk[]` | `querySharedVirtualDiskArray(java.lang.Long vmId)` Query shared virtual disk of a virtual machine.
`VmMetrics[]` | `queryVMMetricArrayByVMIds(long[] vmIds)` Query virtual machine metrics array by vm Ids referenced queryVMMetricByVMId(long vmId)
`VmMetrics` | `queryVMMetricByVMId(long vmId)` Query virtual machine metrics by vm Id Performance metrics only apply to running vm, so if the vm status is not running, the return value will not contain useful info but just an object having vmId.
`VmStatus` | `queryVMStatus(VirtualMachine virtualMachine)` Deprecated.
`VmStatus[]` | `queryVMStatusArrayByVMIds(long[] vmIds)` Query virtual machine status array by vmIds
`VmStatus` | `queryVMStatusByVMId(long vmId)` Query virtual machine status by vmId
`void` | `rebootVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `rebootVMByVMId(java.lang.Long vmId)` Reboot a virtual machine
`void` | `resumeVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `resumeVMByVMId(java.lang.Long vmId)` resume a suspended virtual machine
`void` | `saveAsTemplate(VirtualMachine vm)` Deprecated.
`void` | `saveAsTemplate(VirtualMachine vm, java.lang.String templateName)` Save as template based on a virtual machine --must set imgId of parameter object
`void` | `saveAsTemplateAsync(VirtualMachine vm, java.lang.String templateName)` Save as template using async call based on a virtual machine --must set imgId of parameter object
`void` | `setVMName(VirtualMachine virtualMachine, java.lang.String val)` Sets the virtual machine name.
`void` | `suspendVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `suspendVMByVMId(java.lang.Long vmId)` Suspend a running virtual machine.
`void` | `unpauseVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `unpauseVMByVMId(java.lang.Long vmId)` Unpause a virtual machine
`void` | `unregisterVM(VirtualMachine virtualMachine)` Deprecated.
`void` | `unregisterVMByVMId(java.lang.Long vmId)` Unregister a virtual machine.
`java.lang.Object` | `update(java.lang.Object object)` Update information

Method Detail

### getAllVMs

    VirtualMachine[] getAllVMs(ServerPool serverPool)
                               throws oracle.ovs.biz.exception.OVSException

  Returns an array of all the virtual machines by the server pool.
  Parameters:
    `serverPool` -
  Returns:
    VirtualMachine[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllVMs

    VirtualMachine[] getAllVMs(VirtualServer server)
                               throws oracle.ovs.biz.exception.OVSException

  Returns an array of all the virtual machines by the virtual server.
  Parameters:
    `server` -
  Returns:
    VirtualMachine[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVM

    VirtualMachine getVM(VirtualMachine virtualMachine)
                         throws oracle.ovs.biz.exception.OVSException

  Returns an instance of the virtual machine details.
  Parameters:
    `virtualMachine` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMByName

    VirtualMachine getVMByName(ServerPool serverPool,
                               java.lang.String name)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Returns an instance of the virtual machine details, by its name
  Parameters:
    `serverPool` -
    `name` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMByName

    VirtualMachine getVMByName(java.lang.String serverPoolName,
                               java.lang.String name)
                               throws oracle.ovs.biz.exception.OVSException

  Returns an instance of the virtual machine details, by its name and serverPoolName
  Parameters:
    `serverPoolName` -
    `name` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAssociatedServer

    VirtualServer getAssociatedServer(VirtualMachine virtualMachine)
                                      throws oracle.ovs.biz.exception.OVSException

  Returns virtual server details, currently hosting the virtual machine. If virtual machine is in halted status, return null.
  Parameters:
    `virtualMachine` -
  Returns:
    VirtualServer
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAssociatedPool

    ServerPool getAssociatedPool(VirtualMachine virtualMachine)
                                 throws oracle.ovs.biz.exception.OVSException

  Returns server pool details, where the virtual machine is physically (and logically) stored.
  Parameters:
    `virtualMachine` -
  Returns:
    ServerPool
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### suspendVM

    void suspendVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Suspend a running virtual machine.
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### suspendVMByVMId

    void suspendVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Suspend a running virtual machine.
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### resumeVM

    void resumeVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Resume a suspended virtual machine.
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### resumeVMByVMId

    void resumeVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  resume a suspended virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMName

    void setVMName(VirtualMachine virtualMachine,
                   java.lang.String val)
                   throws oracle.ovs.biz.exception.OVSException

  Sets the virtual machine name.
  Parameters:
    `virtualMachine` -
    `val` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### configureVM

    void configureVM(VirtualMachine virtualMachine,
                     VMConfig config)
                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Generically configures the virtual machine parameters like memory, number of cpu cores, name etc.
  Parameters:
    `virtualMachine` -
    `config` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVM

    void deleteVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Delete a virtual machine.
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMByVMId

    void deleteVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  Delete a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOnVM

    void powerOnVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Power on a virtual machine
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOnVMByVMId

    void powerOnVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Power on a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOffVM

    void powerOffVM(VirtualMachine virtualMachine)
                    throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Power off a virtual machine
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOffVMByVMId

    void powerOffVMByVMId(java.lang.Long vmId)
                          throws oracle.ovs.biz.exception.OVSException

  Power off a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### pauseVM

    void pauseVM(VirtualMachine virtualMachine)
                 throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Pause a virtual machine
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### pauseVMByVMId

    void pauseVMByVMId(java.lang.Long vmId)
                       throws oracle.ovs.biz.exception.OVSException

  Pause a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unpauseVM

    void unpauseVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Unpause a virtual machine
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unpauseVMByVMId

    void unpauseVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Unpause a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatus

    VmStatus queryVMStatus(VirtualMachine virtualMachine)
                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Query virtual machine status
  Parameters:
    `virtualMachine` -
  Returns:
    VmStatus
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatusByVMId

    VmStatus queryVMStatusByVMId(long vmId)
                                 throws oracle.ovs.biz.exception.OVSException

  Query virtual machine status by vmId
  Parameters:
    `vmId` -
  Returns:
    VmStatus
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatusArrayByVMIds

    VmStatus[] queryVMStatusArrayByVMIds(long[] vmIds)
                                         throws oracle.ovs.biz.exception.OVSException

  Query virtual machine status array by vmIds
  Parameters:
    `vmIds` -
  Returns:
    VmStatus[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMMetricByVMId

    VmMetrics queryVMMetricByVMId(long vmId)
                                  throws oracle.ovs.biz.exception.OVSException

  Query virtual machine metrics by vm Id Performance metrics only apply to running vm, so if the vm status is not running, the return value will not contain useful info but just an object having vmId.
  Parameters:
    `vmId` -
  Returns:
    VmMetrics
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMMetricArrayByVMIds

    VmMetrics[] queryVMMetricArrayByVMIds(long[] vmIds)
                                          throws oracle.ovs.biz.exception.OVSException

  Query virtual machine metrics array by vm Ids referenced queryVMMetricByVMId(long vmId)
  Parameters:
    `vmIds` -
  Returns:
    VmMetrics[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryLocalDiskInfo

    VirtualDisk queryLocalDiskInfo(VirtualDisk disk)
                                   throws oracle.ovs.biz.exception.OVSException

  Query virtual disk status
  Returns:
    VirtualDisk
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryCdrom

    java.util.List queryCdrom(VirtualMachine vm)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Query CDROM of a virutal machine
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryCdromArray

    CdConfig[] queryCdromArray(VirtualMachine vm)
                               throws oracle.ovs.biz.exception.OVSException

  Query CDROM of a virutal machine
  Parameters:
    `vm` -
  Returns:
    CdConfig[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### rebootVM

    void rebootVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Reboot a virtual machine
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### rebootVMByVMId

    void rebootVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  Reboot a virtual machine
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllOperatingSystem

    java.util.List getAllOperatingSystem()
                                         throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Query all available Operating System.
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllOperatingSystemArray

    OperatingSystem[] getAllOperatingSystemArray()
                                                 throws oracle.ovs.biz.exception.OVSException

  Query all available Operating System.
  Returns:
    OperatingSystem[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllAlertAssociatedWithImg

    java.util.List getAllAlertAssociatedWithImg(VirtualMachine vm)
                                                throws oracle.ovs.biz.exception.OVSException

  Query all alerts associated with a vm.
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithImg

    AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm)
                                           throws oracle.ovs.biz.exception.OVSException

  Query latest alert associated with a vm.
  Parameters:
    `vm` -
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithImg

    AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm,
                                           oracle.ovs.biz.log.AlertLevel level)
                                           throws oracle.ovs.biz.exception.OVSException

  Query latest alert associated with a vm and alertLevel
  Parameters:
    `vm` -
    `level` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithDisk

    AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk)
                                            throws oracle.ovs.biz.exception.OVSException

  Query latest alert associated with a disk.
  Parameters:
    `disk` -
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithDisk

    AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk,
                                            oracle.ovs.biz.log.AlertLevel level)
                                            throws oracle.ovs.biz.exception.OVSException

  Query latest alert associated with a disk.
  Parameters:
    `disk` -
    `level` -
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryLocalDisks

    java.util.List queryLocalDisks(VirtualMachine vm)
                                   throws oracle.ovs.biz.exception.OVSException

  Query local disks of a virtual machine.
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### querySharedDisks

    java.util.List querySharedDisks(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Query shared disks of a virtual machine.
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### querySharedVirtualDiskArray

    SharedVirtualDisk[] querySharedVirtualDiskArray(java.lang.Long vmId)
                                                    throws oracle.ovs.biz.exception.OVSException

  Query shared virtual disk of a virtual machine.
  Parameters:
    `vmId` -
  Returns:
    SharedVirtualDisk[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryNetworkInterfaceCards

    java.util.List queryNetworkInterfaceCards(VirtualMachine vm)
                                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Query network interface cards of a virtual machine.
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryNetworkInterfaceCardArray

    VirtualNetworkCard[] queryNetworkInterfaceCardArray(VirtualMachine vm)
                                                        throws oracle.ovs.biz.exception.OVSException

  Query network interface cards of a vm
  Parameters:
    `vm` -
  Returns:
    VirtualNetworkCard[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryPreferredServer

    java.util.List queryPreferredServer(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException

  Query preferred servers of a vm
  Parameters:
    `vm` -
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryPreferredServerArray

    VirtualServer[] queryPreferredServerArray(java.lang.Long vmId)
                                              throws oracle.ovs.biz.exception.OVSException

  Query preferred servers of a vm by vmId
  Parameters:
    `vmId` -
  Returns:
    VirtualServer[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### update

    java.lang.Object update(java.lang.Object object)
                            throws oracle.ovs.biz.exception.OVSException

  Update information
  Parameters:
    `object` -
  Returns:
    Object
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVncPassword

    java.lang.String getVncPassword(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException

  Get vnc password of a virtual machine.
  Parameters:
    `vm` -
  Returns:
    String
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplate

    void saveAsTemplate(VirtualMachine vm)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Save as template based on a virtual machine --must set imgId of parameter object
  Parameters:
    `vm` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplate

    void saveAsTemplate(VirtualMachine vm,
                        java.lang.String templateName)
                        throws oracle.ovs.biz.exception.OVSException

  Save as template based on a virtual machine --must set imgId of parameter object
  Parameters:
    `vm` -
    `templateName` - name of new template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplateAsync

    void saveAsTemplateAsync(VirtualMachine vm,
                             java.lang.String templateName)
                             throws oracle.ovs.biz.exception.OVSException

  Save as template using async call based on a virtual machine --must set imgId of parameter object
  Parameters:
    `vm` -
    `templateName` - name of new template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getRealPath

    java.lang.String getRealPath(VirtualMachine vm)
                                 throws oracle.ovs.biz.exception.OVSException

  Get the absolute path of a virtual machine in the file system.
  Parameters:
    `vm` -
  Returns:
    String
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createPropertiesFileOnVirtualMachine

    void createPropertiesFileOnVirtualMachine(java.util.Properties props,
                                              VirtualMachine vm,
                                              java.lang.String propFileName)
                                              throws oracle.ovs.biz.exception.OVSException

  Create vm property file for guest configuration
  Parameters:
    `props` -
    `vm` -
    `propFileName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unregisterVM

    void unregisterVM(VirtualMachine virtualMachine)
                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Unregister a virtual machine.
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unregisterVMByVMId

    void unregisterVMByVMId(java.lang.Long vmId)
                            throws oracle.ovs.biz.exception.OVSException

  Unregister a virtual machine.
  Parameters:
    `vmId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.